## Index

### Variables

- tabbableSelector
- tabbableSelectorIgnoreTabIndex

### Functions

- cycleTabs
- focusFirstFocusableElement
- focusLastFocusableElement
- getFocusElementList
- isElementFocused
- isFocusInFirstItem
- isFocusInLastItem
- isVisible
- range

## Variables

### Let tabbableSelector

tabbableSelector: string = "a[href], area[href], input:not([disabled]):not([tabindex=\'-1\']), " +"button:not([disabled]):not([tabindex=\'-1\']),select:not([disabled]):not([tabindex=\'-1\']), " +"textarea:not([disabled]):not([tabindex=\'-1\']), " +"iframe, object, embed, *[tabindex]:not([tabindex=\'-1\']), *[contenteditable=true]"

- Defined in src/common/tab.service.ts:1

### Let tabbableSelectorIgnoreTabIndex

tabbableSelectorIgnoreTabIndex: string = "a[href], area[href], input:not([disabled]), " +"button:not([disabled]),select:not([disabled]), " +"textarea:not([disabled]), " +"iframe, object, embed, *[tabindex], *[contenteditable=true]"

- Defined in src/common/tab.service.ts:6

## Functions

### cycleTabs

- cycleTabs(event: any, element: any): void

- - Defined in src/common/tab.service.ts:54

  #### Parameters

  - ##### event: any

  - ##### element: any

  #### Returns void

### focusFirstFocusableElement

- focusFirstFocusableElement(list: any): boolean

- - Defined in src/common/tab.service.ts:34

  #### Parameters

  - ##### list: any

  #### Returns boolean

### focusLastFocusableElement

- focusLastFocusableElement(list: any): boolean

- - Defined in src/common/tab.service.ts:42

  #### Parameters

  - ##### list: any

  #### Returns boolean

### getFocusElementList

- getFocusElementList(element: any, selector?: string): any

- - Defined in src/common/tab.service.ts:11

  #### Parameters

  - ##### element: any

  - ##### Default value selector: string = tabbableSelector

  #### Returns any

### isElementFocused

- isElementFocused(event: any, element: any): boolean

- - Defined in src/common/tab.service.ts:30

  #### Parameters

  - ##### event: any

  - ##### element: any

  #### Returns boolean

### isFocusInFirstItem

- isFocusInFirstItem(event: any, list: any): boolean

- - Defined in src/common/tab.service.ts:16

  #### Parameters

  - ##### event: any

  - ##### list: any

  #### Returns boolean

### isFocusInLastItem

- isFocusInLastItem(event: any, list: any): boolean

- - Defined in src/common/tab.service.ts:23

  #### Parameters

  - ##### event: any

  - ##### list: any

  #### Returns boolean

### isVisible

- isVisible(element: any): boolean

- - Defined in src/common/tab.service.ts:50

  #### Parameters

  - ##### element: any

  #### Returns boolean

### range

- range(stop: number, start?: number, step?: number): number[]

- - Defined in src/common/utils.ts:14

  #### Parameters

  - ##### stop: number

  - ##### Default value start: number = 0

  - ##### Default value step: number = 1

  #### Returns number[]

  an array with resulting numbers

Generated using TypeDoc